'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var umiCore = require('@metaplex-foundation/umi-core');
var plugin = require('./plugin.cjs');

const createUmi = async (endpoint, rpcOptions, airdropAmount = umiCore.sol(100)) => {
  const umi = umiCore.createUmi().use(plugin.testPlugins(endpoint, rpcOptions));
  await umi.rpc.airdrop(umi.identity.publicKey, airdropAmount);
  return umi;
};
const generateSignerWithSol = async (context, airdropAmount = umiCore.sol(100)) => {
  const signer = umiCore.generateSigner(context);
  await context.rpc.airdrop(signer.publicKey, airdropAmount);
  return signer;
};

exports.testPlugins = plugin.testPlugins;
exports.createUmi = createUmi;
exports.generateSignerWithSol = generateSignerWithSol;
Object.keys(umiCore).forEach(function (k) {
  if (k !== 'default' && !exports.hasOwnProperty(k)) Object.defineProperty(exports, k, {
    enumerable: true,
    get: function () { return umiCore[k]; }
  });
});
//# sourceMappingURL=index.cjs.map
