'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var umiCore = require('@metaplex-foundation/umi-core');
var umiEddsaWeb3js = require('@metaplex-foundation/umi-eddsa-web3js');
var umiHttpFetch = require('@metaplex-foundation/umi-http-fetch');
var umiProgramRepository = require('@metaplex-foundation/umi-program-repository');
var umiRpcWeb3js = require('@metaplex-foundation/umi-rpc-web3js');
var umiSerializerBeet = require('@metaplex-foundation/umi-serializer-beet');
var umiStorageMock = require('@metaplex-foundation/umi-storage-mock');
var umiTransactionFactoryWeb3js = require('@metaplex-foundation/umi-transaction-factory-web3js');

const testPlugins = (endpoint = 'http://127.0.0.1:8899', rpcOptions = 'confirmed') => ({
  install(umi) {
    umi.use(umiSerializerBeet.beetSerializer());
    umi.use(umiProgramRepository.defaultProgramRepository());
    umi.use(umiHttpFetch.fetchHttp());
    umi.use(umiEddsaWeb3js.web3JsEddsa());
    umi.use(umiRpcWeb3js.web3JsRpc(endpoint, rpcOptions));
    umi.use(umiTransactionFactoryWeb3js.web3JsTransactionFactory());
    umi.use(umiStorageMock.mockStorage());
    umi.use(umiCore.generatedSignerIdentity());
  }
});

exports.testPlugins = testPlugins;
//# sourceMappingURL=plugin.cjs.map
